
.spacer {
  width: 1px;
  height: 100%;
  margin-left: 10px;
  margin-right: 10px;
  background-color: var(--color-text);
}

/*--------------------------------------------------*/
/*Profile Section*/
#profile-section {
  display: grid;
  grid-template-columns: 5fr 2fr;
  gap: 10px;

  justify-content: center;
  align-items: center;

  text-align: justify; 
  font-size: .9em; 

}

.research-item {
  display: grid;
  grid-template-columns: 1fr 3fr;
  gap: 10px;

  justify-content: start;
  align-items: start;

  text-align: justify; 
  font-size: .9em; 

  margin-top: 2em;
  padding-bottom: 2em;

  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.research-preview{
    width: 100%; 
    height: auto; 
    border-radius: 5px;
}

.research-preview-vertical{
    width: 100%; 
    height: auto; 
    border-radius: 5px;
}

/* Mobile */
@media (max-width: 768px){
  #profile-section{
    grid-template-columns: 1fr;
  }

  .research-item{
    grid-template-columns: 1fr;
  }

  /* reverse stacking */
  .research-item .research-preview{
    grid-row: 2;

    max-width: 90%;
    
    justify-self: center;
  }

  .research-item .research-preview-vertical{
    grid-row: 2;

    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 500px;
    
    justify-self: center;
  }
}

/*--------------------------------------------------*/
/*for images that have a link on them*/
.img-link {
  display: block;
  height: 100%;
}

.img-link img {
  border-radius: 4px;
  transition: filter .25s ease;
}

.img-link:hover img {
  filter:invert(1);
}
/*--------------------------------------------------*/